%define upstream_name    MooX-Struct
%define upstream_version 0.013

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Make simple lightweight record-like structures that make sounds like cows
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope)
BuildRequires: perl(Data::OptList)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moo) >= 1.0.0
BuildRequires: perl(Object::ID)
BuildRequires: perl(Scalar::Does)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%description
MooX::Struct allows you to create cheap struct-like classes for your data
using the Moo manpage.

While similar in spirit to the MooseX::Struct manpage and the Class::Struct
manpage, MooX::Struct has a somewhat different usage pattern. Rather than
providing you with a 'struct' keyword which can be used to define structs,
you define all the structs as part of the 'use' statement. This means they
happen at compile time.

A struct is just an "anonymous" Moo class. MooX::Struct creates this class
for you, and installs a lexical alias for it in your namespace. Thus your
module can create a "Point3D" struct, and some other module can too, and
they won't interfere with each other. All struct classes inherit from
MooX::Struct.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes LICENSE META.yml MYMETA.yml NEWS README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.13.0-3.mga6
+ Revision: 1030727
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.13.0-2.mga6
+ Revision: 965964
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.13.0-1.mga6
+ Revision: 839313
- update to 0.013

* Wed Oct 15 2014 umeabot <umeabot> 0.12.0-4.mga5
+ Revision: 741193
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.12.0-2.mga4
+ Revision: 527670
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.12.0-1.mga4
+ Revision: 441672
- update to 0.012

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 370088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.10.0-1.mga3
+ Revision: 342391
- update to 0.010

* Tue Nov 06 2012 jquelin <jquelin> 0.7.0-1.mga3
+ Revision: 315177
- update to 0.007

* Mon Oct 15 2012 jquelin <jquelin> 0.6.0-1.mga3
+ Revision: 306173
- update to 0.006

* Wed Oct 10 2012 jquelin <jquelin> 0.5.0-1.mga3
+ Revision: 304114
- imported package perl-MooX-Struct


* Wed Oct 10 2012 cpan2dist 0.005-1mga
- initial mageia release, generated with cpan2dist
